Manual do KMidi
Anterior | Capítulo 3. Uso | Próxima

# 3.3. Opções de Linha de Comando

     wuebben: ./kmidi -h
      KMidi versão 0.3  MIDI para WAVE reprodutor/conversor
      Copyright (C) 1995 Bernd Johannes Wuebben <wuebben@math.cornell.edu>

      KMidi é software gratuito e vem sem ABSOLUTAMENTE NENHUMA GARANTIA.

     Uso:
       kmidi [opções] arquivo [...]

     Opções:
       -o arq  Saída para outro arquivo (ou dispositivo) (Use "-" para stdout)
       -O modo Selecionar modo de saída e formatação (veja lista abaixo)
       -s f    Mudar freqüência de amostragem para f (Hz ou kHz)
       -a      Habilitar o filtro de "antialiasing"
       -f      Desliga modo de decaimento rápido
       -p n    Permite polifonia a n vozes
       -A n    Amplificar volume em n % (pode causar clipagem)
       -C n    Muda taxa de amostragem e freqüências de controle

       -L dir  Adiciona dir ao caminho de procura
       -c arq  Ler arquivo de configuração extra
       -I n    Usar programa n como padrão
       -P arq  Usa arquivo complementar para todos os programas
       -D n    Reproduzir percussão no canal n
       -Q n    Ignorar canal n
       -F      Habilitar fast panning
       -U      Descarregar instrumentos da memória entre um MIDI e outro

       -i modo Selecionar interface de usuário (veja lista abaixo)
       -B n    Muda número de fragmentos de buffer para n
       -h      Mostra essa mensagem de ajuda

     Modos disponíveis de saída: (opção -O):

       -Od     Dispositivo dsp Linux
       -Ow     Arquivo RIFF WAVE (.wav)
       -Or     Forma de onda simples

     Opções de formato de saída (adicione à opção -O?):

        `8'    amostragem a 8 bits
        `1'    amostragem a 16 bits
        `U'    codificação uLaw
        `l'    codificação linear
        `M'    monofônico
        `S'    estéreo
        `s'    saída com sinal (positivo/negativo)
        `u'    saída sem sinal
        `x'    saída com byte trocado

     Interfaces disponíveis (opção -i):

       -iq     interface KMidi/Qt
       -id     interface terminal

     Opções de Interface (adicione à opção -i?):

        `v'    Mais mensagens (cumulativo)
        `q'    Menos mensagens (cumulativo)
        `t'    "trace playing"

Anterior | Principal | Próxima
Nomes de arquivos Midi | Acima | Perguntas e Respostas